Loading...
Searching...
No Matches
uhd::exception Struct Referenceabstract

`#include <uhd/exception.hpp>`

Inheritance diagram for uhd::exception:
[legend]
Collaboration diagram for uhd::exception:
[legend]

## Public Member Functions

| exception (const std::string &what)
virtual unsigned | code (void) const =0
virtual exception * | dynamic_clone (void) const =0
virtual void | dynamic_throw (void) const =0

## Detailed Description

Base class of all UHD-specific exceptions.

## Constructor & Destructor Documentation

## exception()

uhd::exception::exception | ( | const std::string & | what | ) |

## Member Function Documentation

## code()

virtual unsigned uhd::exception::code | ( | void |  | ) | const

pure virtual

Implemented in uhd::access_error, uhd::assertion_error, uhd::environment_error, uhd::index_error, uhd::io_error, uhd::key_error, uhd::lookup_error, uhd::narrowing_error, uhd::not_implemented_error, uhd::op_failed, uhd::op_seqerr, uhd::op_timeout, uhd::op_timerr, uhd::os_error, uhd::resolve_error, uhd::rfnoc_error, uhd::routing_error, uhd::runtime_error, uhd::syntax_error, uhd::system_error, uhd::type_error, uhd::usb_error, and uhd::value_error.

## dynamic_clone()

virtual exception * uhd::exception::dynamic_clone | ( | void |  | ) | const

pure virtual

Implemented in uhd::access_error, uhd::assertion_error, uhd::environment_error, uhd::index_error, uhd::io_error, uhd::key_error, uhd::lookup_error, uhd::narrowing_error, uhd::not_implemented_error, uhd::op_failed, uhd::op_seqerr, uhd::op_timeout, uhd::op_timerr, uhd::os_error, uhd::resolve_error, uhd::rfnoc_error, uhd::routing_error, uhd::runtime_error, uhd::syntax_error, uhd::system_error, uhd::type_error, uhd::usb_error, and uhd::value_error.

## dynamic_throw()

virtual void uhd::exception::dynamic_throw | ( | void |  | ) | const

pure virtual

Implemented in uhd::access_error, uhd::assertion_error, uhd::environment_error, uhd::index_error, uhd::io_error, uhd::key_error, uhd::lookup_error, uhd::narrowing_error, uhd::not_implemented_error, uhd::op_failed, uhd::op_seqerr, uhd::op_timeout, uhd::op_timerr, uhd::os_error, uhd::resolve_error, uhd::rfnoc_error, uhd::routing_error, uhd::runtime_error, uhd::syntax_error, uhd::system_error, uhd::type_error, uhd::usb_error, and uhd::value_error.

The documentation for this struct was generated from the following file:

- exception.hpp